/*    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    ------------------------------------------------------------------------
 *    Copyright (C) 2013-
 *    Salvatore Ruggieri
 *    Dipartimento di Informatica, Universita' di Pisa
 *    Pisa, Italy
 *    ------------------------------------------------------------------------
 *
 */

package rst.util.data;

import java.io.Serializable;

/** Modifiable integer. */
public class MInteger implements Comparable<MInteger>, Serializable {
	/** Serial ID. */
	private static final long serialVersionUID = -4791423710123184220L;
	/** Value. */
	public int value;
	/** Constructor. */
	public MInteger(int n) {
		value = n;
	}
	/** Constructor. */
	public MInteger() {
		value = 0;
	}
	
	@Override
	public int compareTo(MInteger o) {
		if( value < o.value )
			return -1;
		if( value > o.value )
			return 1;
		return 0;
	}
	
	public boolean equals(Object o) {
		return value == ((MInteger)o).value;
	}
	
	public int hashCode() {
		return value;
	}
	
	public String toString() {
		return ""+value;
	}
}
